Package org.eclipse.graphiti.mm.pictograms

## Interface ContainerShape

All Superinterfaces:
  `AnchorContainer`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`, `Shape`

All Known Subinterfaces:
  `Diagram`

All Known Implementing Classes:
  `ContainerShapeImpl`, `DiagramImpl`

    public interface ContainerShape
    extends Shape

A representation of the model object 'Container Shape'.

The following features are supported:

- `Children`

See Also:
  `PictogramsPackage.getContainerShape()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Shape>` `getChildren()` Returns the value of the 'Children' containment reference list.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Shape

`getContainer, setContainer`

### Method Detail

#### getChildren

    org.eclipse.emf.common.util.EList<Shape> getChildren()

Returns the value of the 'Children' containment reference list. The list contents are of type `Shape`. It is bidirectional and its opposite is '`Container`'.

If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Children' containment reference list.
See Also:
  `PictogramsPackage.getContainerShape_Children()`, `Shape.getContainer()`